# jQuery Smart Cart 3
### The smart interactive jQuery Shopping Cart plugin with PayPal payment support.

jQuery Smart Cart is the smart interactive **jQuery Shopping Cart plugin** with **PayPal** payment support. It can create an interactive and user friendly shopping cart with minimal code. It has built-in support for **Form** submit, **Ajax** submit and **PayPal** submit of the cart items. A lot of customization options and custom events makes it easy to implement your requirements. It can integrate with your existing shopping list very easily and you can use your own css or use the default **Bootstrap**.

The new version **jQuery Smart Cart 3** is completely rewritten from scratch and adopted the modern patterns. It is more powerful, robust, scalable and customizable. A lot of features is added like Bootstrap support, theme support, customizable toolbars, customization options, public methods, event support and a lot more.
See the list of [features](http://techlaboratory.net/smartcart#features), [demos](http://techlaboratory.net/smartcart/demo) and [documentation](http://techlaboratory.net/smartcart/documentation) for more details.  

+ [Homepage](http://techlaboratory.net/smartcart)
+ [Documentation](http://techlaboratory.net/smartcart/documentation)
+ [Demos](http://techlaboratory.net/smartcart/demo)

Demos
-----
  + [Basic Example](http://techlaboratory.net/smartcart/demo/basic)
  + [PayPal Cart Example](http://techlaboratory.net/smartcart/demo/paypal)

Screenshots
-----
![Smart Cart Screenshot1](http://techlaboratory.net/assets/media/products/SmartCart3-Normal.png?v1)
![Smart Cart Screenshot2](http://techlaboratory.net/assets/media/products/SmartCart3-PayPal.png?v1)

Requirements
-----
  + [Bootstrap 3+](http://getbootstrap.com/getting-started/#download)
  + [jQuery](http://jquery.com/) (supports jQuery 1.9+, jQuery 2+, jQuery 3+)

Installation and usage 
-----

### [NPM](https://www.npmjs.com/package/jquery-smartcart)
    npm install jquery-smartcart
    
### Bower
    bower install jquery-smartcart
    
### [Composer](https://packagist.org/packages/techlab/jquery-smartcart)
    composer require techlab/jquery-smartcart
    
### Download
#### [Download from GitHub](https://github.com/techlab/SmartCart/archive/master.zip)    
###  
 Please see the [documentation](http://techlaboratory.net/smartcart/documentation) for more deatils on implementation and usage.

Features
-----
  + In-built PayPal, Ajax and form submit methods
  + Bootstrap support
  + Heavily customizable toolbar, option to add extra buttons
  + Theme support
  + Customizable css styles
  + Public methods for external function call
  + Enhanced event support
  + Compatible with latest jQuery versions (jQuery 1.9+, jQuery 2+, jQuery 3+)
  + Easy to implement, Minimal HTML required
  + Clean and compact design
  + Automatically calculates subtotal
  + Quantity is editable from the cart list
  + Product Image display
  + Customizable cart templates
  + Customizable currency formatting option
  + Pre-populate products on cart on load
  + and a lot more...

Version
-----
**SmartCart v3.0.1**

License
----
[MIT License](https://github.com/techlab/SmartCart/blob/master/LICENSE)
